Package org.eclipse.m2m.atl.core.ui

# Class ATLConsoleTracker

java.lang.Object
org.eclipse.m2m.atl.core.ui.ATLConsoleTracker

All Implemented Interfaces:
  `org.eclipse.ui.console.IPatternMatchListenerDelegate`

public class ATLConsoleTracker extends Object implements org.eclipse.ui.console.IPatternMatchListenerDelegate
The ATL console tracker, which adds Hyperlinks.

## Constructor Summary

Constructors
Constructor
Description
`ATLConsoleTracker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`connect(org.eclipse.ui.console.TextConsole console)`
`void`
`disconnect()`
`void`
`matchFound(org.eclipse.ui.console.PatternMatchEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ATLConsoleTracker

public ATLConsoleTracker()

## Method Details

### connect

public void connect(org.eclipse.ui.console.TextConsole console)

Specified by:
  `connect` in interface `org.eclipse.ui.console.IPatternMatchListenerDelegate`
See Also:
  - `IPatternMatchListenerDelegate.connect(org.eclipse.ui.console.TextConsole)`

### disconnect

public void disconnect()

Specified by:
  `disconnect` in interface `org.eclipse.ui.console.IPatternMatchListenerDelegate`
See Also:
  - `IPatternMatchListenerDelegate.disconnect()`

### matchFound

public void matchFound(org.eclipse.ui.console.PatternMatchEvent event)

Specified by:
  `matchFound` in interface `org.eclipse.ui.console.IPatternMatchListenerDelegate`
See Also:
  - `IPatternMatchListenerDelegate.matchFound(org.eclipse.ui.console.PatternMatchEvent)`